Skip to main content

Note that this does not apply to Android devices.

Occasionally I have posted comments about the functionality of the DCS app with the various upgrades of iOS.

Up through iOS 14.5 the app has been stable and continued to work as expected. I recently downloaded iOS 14.6 beta 3 and decided to checkout the app with this new version. After a few days of trying all of the tips and tricks that people, including myself, have posted, the app will not function.

What lead to this:

  • I downloaded this new beta version to both my iPhone 12 and my iPad. When I decided to try it out with the DCS app I found that the phone could not find the TIU. This has become a common problem and there are some workarounds to fix it. The iPad did not have a problem and is still functioning. All attempts to find the TIU failed. I pulled out an old iPhone 6 and allowed it to update it’s iOS. Because of it’s age, it would only load iOS 10. I downloaded the app and installed it with no problem.
  • Back to the iPhone with 14.6 I noticed, on maybe my twelve attempt to load the app, that a step was missing. After installing the app and connecting to MTH WiFi, the program asks whether you are using an Explorer or TIU. After you checked TIU, the program then asks you to select the TIU (even if you only have one). This step is now missing. The app proceeds as if everything is fine but, when you use it, it tells you that no TIU is present.

I will continue trying to find something that might work and, perhaps, someone else with iOS 14.6 will find an answer.

In the meantime, if you are using your active Apple device to control your trains I suggest that you go into settings and turn off automatic updates, once you reach iOS 14.5.

Last edited by Danr
Original Post

Replies sorted oldest to newest

Dan, I had trouble with the 14.5 doing the same thing. I had another device that would not work also. I did a power down of my internet modem and router, after 30 sec I powered them back on and now everything works. Hope that helps.
With no app support one of these days we will be out in the cold with the app. Hopefully some body updates it.  
Steve

Hi, Steve.  I did try rebooting the Wi-Fi a number of times along with different sequences for installing the app with no success.  The troubling part is that the app is not asking you to verify the TIU under 14.6.  I does ask with previous versions.  I just received a notice that Apple released iOS 14.6 beta 4 this morning but I doubt that it would help this old app.

I have not seen any comments about Android devices so, I assume, that problems are limited to Apple devices.  Interestingly enough I saw a Trainland/World ad for new TIU’s with built in Wi-Fi using only your smart device.  Apple will, likely, release iOS 14.6 in June at which time anyone using an iPhone or iPad and allowing updates will be S O L. While their are some rumors that the software will be handled by someone absolutely nothing is being done and nothing is being confirmed.  I am now down to only 4 DCS locomotives and will not touch another one until we have a clear picture of the future MTH.

Add Reply

Post
The DCS Forum is sponsored by
OGR Publishing, Inc., 1310 Eastside Centre Ct, Suite 6, Mountain Home, AR 72653
330-757-3020

www.ogaugerr.com
×
×
×
×
Link copied to your clipboard.
×
×